---
id: telemetry-log-configuration
title: Read log configuration
description: Retrieve log configuration for an application.
sidebar_label: Read log configuration
hide_title: true
hide_table_of_contents: true
api: >-
  eJztV1Fv2zYQ/ivEIQ8toNrxsGGJAj8EaTdkCLAiybACqWHQ0kVmS5EsSaU1BP334SjJliw5SZPXPUmWKH7ffXe8+1xCii6xwnihFcRwjd4KfEAmdcYSre5FVlhOL9m9towrxo2RIgmPJhCBNli/v0whBo8Sc/R2E0udxb3vIQLPMwfxHVzpzMEiAsMtz9GjpaclCCJguF9DBIrnCDF0wC5TiMAla8w5xCX4jaEFQnnM0EIVgcVvhbCYQuxtgdFeYLdr7FJnl++JPf7guZEI8ayKGgLfCrSbHYOAMwLsvBUq6+Pec+kGwFc6Y/QN85rVb1bYg+4GCYdouESP8xgVYJTIDW3x7LgD4FI8X/RHMdkbLgV3oYbCzm+fxyJFI/XmVfq/D1vkqPx+7DA7KLdQznOVvC7zl80mA1zx7vT09OTk5OQgfqKV50KhfRWBi3aXAYPt/u9mUC0icJgUVvhNOIcr5BbteeHXEN8t6LVFZ7Ry6IjFL8fHdBlWee+4Ex6hoPK0ulPj0y+OPimHgenVF0w8RGAstRUvakCps2VmdWGWtTojQtAS5y3yPKxZGu49WnVANCIltFoKtUz5JmBohX/fh+gHNT7YYlFVEXjhg5JSZxe9Nld1dB5yh5WQUqhswo2AR3gHzPlRSZfqrKPefHYWDtD8qAzX6qw+I/Ojsr6pztrinR+V7W11ts34/Kjc3lcwKsfvVUUh/vrp0zDRF1LQUUJrtWXbumBpERqcUA9cipQJZQrPtGW5cE6ojO1a/asKY1fwd5CjczzDMEh69dK+GEt+4N15w63ldO6Ex9w9XYqtnh9pSo3tfxi71rQtm+2g/BAI7YqmjqBWLXRP+v3AZYG90Or+zIRjW0mqBuK3sbTdoH1AO0ibUGkQX2U02oVzBTKtmF8jO/94yZxI8f98PZ2vpuyvdPaHtjn3B3JGHoR8lbH6QaRo6/QZbUMCpM4oIUH871arjKYlbbZV4W4/IJhadIX0bjqbptyjFzmNrB1iXjjPcu6TdbMZ+wy08B2t/AyhlzWR5ujXmjxchkHHBqCb77Jnx6qp1Nl03+O5UGi1oSushBjW3hsXT6fciIkqpDSSeyIzSXTeGz43VEa1oN0RtM0MbdTOw9BKwyKImptWevjr31ugiIS61yETaF19CmaT48kx7LJ622aVEmq08zkPBd306mvk6dAIw96YLXfH4+ftcxOaxx9+aiQXYX4E3comBXc9fxhBvO+Jpc7qI9qhuIhgrZ2nr8tyxR3+Y2VV0ePaaFB2UuH4Sh4yD92oDlnYUfJfcbOzzc0hgDBGnw/YtaqPgLSm+JUo4+b0KdzaG78QemBKH0HbeuAXYu3Z0EeQOq73hVj7jvMRsK7F3aEt6IcVBPeTRfrmupk1b9n4f71RLu1YUT2BW479o1YtqgjWyFOse3G95jxJ0PjO14MJSUFtu+ufH24hAt7vbHudrOtD+8zKsl5xq7+iqqotUU+/627+H3fKe5s=
sidebar_class_name: get api-method
info_path: docs/api/telemetry
custom_edit_url: null
canonical: 'https://docs.nullplatform.com/docs/api/telemetry-log-configuration'
---
<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Read log configuration"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/application/{applicationId}/log/configuration"}
  context={"endpoint"}
>

</MethodEndpoint>

Retrieve log configuration for an application.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"in":"path","name":"applicationId","schema":{"type":"integer"},"required":true,"description":"The application ID.","example":1},{"in":"query","name":"type","schema":{"type":"string"},"required":false,"description":"Log type to describe.","example":"application"},{"in":"query","name":"scope","schema":{"type":"integer"},"required":false,"description":"Scope ID.","example":1},{"in":"query","name":"scope_id","schema":{"type":"integer"},"required":false,"description":"Scope ID (alias for scope).","example":1},{"in":"query","name":"deploy","schema":{"type":"string"},"required":false,"description":"Deployment ID.","example":"1"},{"in":"query","name":"instance","schema":{"type":"string"},"required":false,"description":"Instance ID.","example":"i-9998888"},{"in":"query","name":"container","schema":{"type":"string"},"required":false,"description":"Container ID.","example":"container-1"}]}
>

</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>

</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"description":"Log configuration.","content":{"application/json":{"schema":{"type":"object","properties":{"log_group_name":{"type":"string"},"log_stream_name_pattern":{"type":"string"},"retention_in_days":{"oneOf":[{"type":"integer"},{"type":"string"}]}},"title":"logConfiguration"},"example":{"log_group_name":"billing.api","log_stream_name_pattern":"type=${type};application=1;scope=${scope};deploy=${deploy};instance=${instance};container=${container}","retention_in_days":7}}}},"4XX":{"description":"Client error responses due to invalid input or missing parameters.","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"},"error":{"type":"array","items":{"type":"object","properties":{"instancePath":{"type":"string"},"message":{"type":"string"}}}}},"title":"telemetryError"},"examples":{"missingScope":{"value":{"message":"scope is required"}}}}}},"5XX":{"description":"Server error responses indicating an issue on the API side.","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string"},"error":{"type":"array","items":{"type":"object","properties":{"instancePath":{"type":"string"},"message":{"type":"string"}}}}},"title":"telemetryError"},"examples":{"invalidLogFormat":{"value":{"message":"The log provider is reporting logs in the wrong format","error":[{"instancePath":"/results/1/datetime","message":"must match format \"date-time\""}]}}}}}}}}
>

</StatusCodes>

